clear
use Tables\Table2A.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2016 e_n2016 e_avg_place2008 e_n2008  e_avg_placeD2016 e_nD2016 e_avg_placeD2008 e_nD2008 e_avg_placeI2016 e_nI2016 e_avg_placeI2008 e_nI2008 e_avg_placeR2016 e_nR2016 e_avg_placeR2008 e_nR2008

gen sortorder=_n
replace sortorder=5 in 1
replace sortorder=6 in 3
sort sortorder
drop sortorder

outsheet using Tables\table2A.out, replace
clear

use Tables\Table2B.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2016 e_n2016 e_avg_place2008 e_n2008  e_avg_placeD2016 e_nD2016 e_avg_placeD2008 e_nD2008 e_avg_placeI2016 e_nI2016 e_avg_placeI2008 e_nI2008 e_avg_placeR2016 e_nR2016 e_avg_placeR2008 e_nR2008

gen sortorder=_n
replace sortorder=5 in 1
replace sortorder=6 in 3
sort sortorder
drop sortorder

outsheet using Tables\table2B.out, replace
clear

use Tables\SITable2A.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2016 e_n2016 e_avg_place2008 e_n2008  e_avg_placeD2016 e_nD2016 e_avg_placeD2008 e_nD2008 e_avg_placeI2016 e_nI2016 e_avg_placeI2008 e_nI2008 e_avg_placeR2016 e_nR2016 e_avg_placeR2008 e_nR2008

gen sortorder=_n
replace sortorder=5 in 1
replace sortorder=6 in 3
sort sortorder
drop sortorder

outsheet using Tables\SItable2A.out, replace
clear


use Tables\SITable2B.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2016 e_n2016 e_avg_place2008 e_n2008  e_avg_placeD2016 e_nD2016 e_avg_placeD2008 e_nD2008 e_avg_placeI2016 e_nI2016 e_avg_placeI2008 e_nI2008 e_avg_placeR2016 e_nR2016 e_avg_placeR2008 e_nR2008

gen sortorder=.
replace sortorder=3 in 1
replace sortorder=5 in 2
replace sortorder=1 in 3
replace sortorder=4 in 4
replace sortorder=6 in 5
replace sortorder=2 in 6
sort sortorder
drop sortorder

outsheet using Tables\SItable2B.out, replace
clear
