clear
use Tables\SITable3A.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2012 e_n2012 e_avg_placeD2012 e_nD2012 e_avg_placeI2012 e_nI2012 e_avg_placeR2012 e_nR2012

gen sortorder=_n
replace sortorder=5 in 1
replace sortorder=6 in 3
sort sortorder
drop sortorder

outsheet using Tables\SITable3A.out, replace
clear

use Tables\SITable3B.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2012 e_n2012 e_avg_placeD2012 e_nD2012 e_avg_placeI2012 e_nI2012 e_avg_placeR2012 e_nR2012

gen sortorder=_n
replace sortorder=5 in 1
replace sortorder=6 in 3
sort sortorder
drop sortorder

outsheet using Tables\SITable3B.out, replace
clear

clear
use Tables\SITable4A.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2012 e_n2012 e_avg_placeD2012 e_nD2012 e_avg_placeI2012 e_nI2012 e_avg_placeR2012 e_nR2012

gen sortorder=_n
replace sortorder=5 in 1
replace sortorder=6 in 3
sort sortorder
drop sortorder

outsheet using Tables\SITable4A.out, replace
clear

use Tables\SITable4b.dta

drop e_est
rename e_cand cand
rename e_sub sample
rename e_year year
reshape wide e_avg_place e_n e_avg_placeD e_nD e_avg_placeI e_nI e_avg_placeR e_nR, i(cand sample) j(year)
order cand sample e_avg_place2012 e_n2012 e_avg_placeD2012 e_nD2012 e_avg_placeI2012 e_nI2012 e_avg_placeR2012 e_nR2012

gen sortorder=.
replace sortorder=5 in 1
replace sortorder=6 in 3
sort sortorder
drop sortorder

outsheet using Tables\SITable4B.out, replace
clear
